> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent-Level Dataset

> 
Create a new dataset for agent-level testing. Use to organize test cases for evaluating full agent workflows.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/agent-datasets
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agent-datasets:
    post:
      tags:
        - Agent Datasets
      summary: Create Agent-Level Dataset
      description: >-

        Create a new dataset for agent-level testing. Use to organize test cases
        for evaluating full agent workflows.
      operationId: post_create_agent_dataset
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
                description:
                  default: null
                  title: Description
                  type:
                    - string
                    - 'null'
                compatible_agent_ids:
                  default: null
                  title: Compatible Agent Ids
                  items:
                    format: uuid
                    type: string
                  type:
                    - array
                    - 'null'
                tags:
                  default: null
                  title: Tags
                  items:
                    type: string
                  type:
                    - array
                    - 'null'
              required:
                - name
              title: CreateAgentDatasetRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  description:
                    title: Description
                    type:
                      - string
                      - 'null'
                  compatible_agent_ids:
                    items:
                      format: uuid
                      type: string
                    title: Compatible Agent Ids
                    type: array
                  tags:
                    default: null
                    items:
                      $ref: '#/components/schemas/TagResponse'
                    title: Tags
                    type: array
                required:
                  - id
                  - name
                  - description
                  - compatible_agent_ids
                title: AgentDatasetResponse
                type: object
          description: >-
            AgentDatasetResponse(id: uuid.UUID, name: str, description:
            Optional[str], compatible_agent_ids: list[uuid.UUID], tags:
            list[server.api_routes.agent_datasets_api_v2.TagResponse] = None)
components:
  schemas:
    TagResponse:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          title: Color
          type: string
        association_count:
          default: 0
          title: Association Count
          type: integer
      required:
        - id
        - name
        - color
      title: TagResponse
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````